﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub UUT Channel Selection (4 Channel) SCPI
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       66
=============================================================================
#
# Source Author:   Fluke
#
# Compatibility:   MET/CAL 6.01 or later
#
# Subprocedures:   None
#
# Required Files:  none
#
# Registers Used:
#
#   M[100]    Channel selection
#
#   M[89]     1 if M[100] is 1,2,3,4, -1 otherwise
#
#   S[28]     Error message if M[89] is -1.
#
#   S[1]      Channel 1 "ON" or "OFF"
#   S[2]      Channel 2 "ON" or "OFF"
#   S[3]      Channel 3 "ON" or "OFF"
#   S[4]      Channel 4 "ON" or "OFF"
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  JMPL         CHANNEL_1      M[100] == 1
  1.002  JMPL         CHANNEL_2      M[100] == 2
  1.003  JMPL         CHANNEL_3      M[100] == 3
  1.004  JMPL         CHANNEL_4      M[100] == 4
  1.005  MATH         S[26] = "Undefined channel.  "
  1.006  MATH         S[27] = "M[100] must be 1,2,3, or 4."
  1.007  MATH         S[28] = S[26] + S[27]
  1.008  MATH         M[89] = -1
  1.009  END

# Turn Channel 1 'ON', 2,3,4 'OFF'
  1.010  LABEL        CHANNEL_1
  1.011  MATH         S[1] = "ON"; S[2] = "OFF"; S[3] = "OFF"; S[4] = "OFF"
  1.012  JMPL         END

# Turn Channel 2 'ON', 1,3,4 'OFF'
  1.013  LABEL        CHANNEL_2
  1.014  MATH         S[1] = "OFF"; S[2] = "ON"; S[3] = "OFF"; S[4] = "OFF"
  1.015  JMPL         END

# Turn Channel 3 'ON', 1,2,4 'OFF'
  1.016  LABEL        CHANNEL_3
  1.017  MATH         S[1] = "OFF"; S[2] = "OFF"; S[3] = "ON"; S[4] = "OFF"
  1.018  JMPL         END

# Turn Channel 4 'ON', 1,2,3 'OFF'
  1.019  LABEL        CHANNEL_4
  1.020  MATH         S[1] = "OFF"; S[2] = "OFF"; S[3] = "OFF"; S[4] = "ON"

  1.021  LABEL        END
  1.022  MATH         S[28] = ""
  1.023  MATH         M[89] = 1
  1.024  END
