﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Wait for Operation Complete (OPC) IEEE SCPI
DATE:                  2002-08-23
AUTHOR:                Fluke Corporation
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       129
=============================================================================
#
# Compatibility:
#   MET/CAL 6.11A or later
#
# Subprocedures:
#   None
#
# Required Files:
#   None
#
# Registers Used:
#
#   M[85]
#     Used to save and restore MEM1
#
#   M[86]
#     Used to save and restore MEM
#
#   M[87]
#     Timeout counter
#
#   M[88]
#     Timeout (in milliseconds) to wait for OPC
#
#   M[89]
#     = 1 OPC bit in Extended Status Register (ESR) is set
#     = 0 timed out waiting for OPC
#     = -1 An error occurred
#
#   S[28]
#     Contains error text when M[89] < 1
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
# Save MEM1
  1.001  MATH         M[85] = MEM1

# Save MEM
  1.002  MATH         M[86] = MEM

# Make a copy of the timeout.
  1.003  MATH         M[87] = M[88]
  1.004  MATH         M[89] = -1
#
# *SRE  0  Inhibit all SRQ's (This was added because Portocal II enabled
#          UUT SRQ's to enable communication using Wavetest.
#
#      32  Command Error
#      16  Execution Error
#       8  Device Dependent Error
#       4  Query Error
#       1  Operation Complete (OPC)
#      --
# *ESE 61  Set the Event Status Enable mask (ESE) so the Event Status Bit
#          (ESB) is set in the status byte for the listed conditions.
#
# *OPC     Set Operation Complete bit (OPC) in Event Status Register (ESR)
#          to 1 when all pending operations have completed.
#
  1.005  IEEE         *SRE 0;*ESE 61;*OPC

# Serial poll the instrument until the ESB is set in the status byte.
  1.006  LABEL        WAIT_FOR_ESB_LOOP
# ESB is bit 5, decimal 32.
  1.007  IEEE         [SPL 32]
  1.008  JMPL         QUERY_ESR                    MEM > 0
  1.009  IEEE         [D100]
  1.010  MATH         M[87] = M[87] - 100
  1.011  JMPL         TIMEOUT                      M[87] <= 0
  1.012  JMPL         WAIT_FOR_ESB_LOOP

  1.013  LABEL        QUERY_ESR
  1.014  IEEE         *ESR?[I]

# If Power On bit 7 is set.  This is not an error.
# If User Request bit 6 is set.  This is not an error.

# First check for any errors (CME, EXE, DDE, and QYE)
  1.015  JMPL         ERROR                        BIT(5, MEM)
  1.016  JMPL         ERROR                        BIT(4, MEM)
  1.017  JMPL         ERROR                        BIT(3, MEM)
  1.018  JMPL         ERROR                        BIT(2, MEM)

# Check for Request Control.  This should never happen.
  1.019  JMPL         REQUEST_CONTROL              BIT(1, MEM)

# Check for OPC
  1.020  JMPL         OPERATION_COMPLETE           BIT(0, MEM)
  1.021  IEEE         [D500]
  1.022  MATH         M[87] = M[87] - 500
  1.023  JMPL         TIMEOUT                      M[87] <= 0
  1.024  JMPL         WAIT_FOR_ESB_LOOP

# This bit should never be set.
  1.025  LABEL        REQUEST_CONTROL
  1.026  MATH         S[28] = "Request Control"
  1.027  JMPL         ERROR

  1.028  LABEL        TIMEOUT
  1.029  MATH         S[28] = "Timeout waiting for Operation Complete (OPC)."
  1.030  MATH         M[89] = 0

  1.031  LABEL        ERROR
  1.032  IEEE         SYST:ERR?[I$]
  1.033  MATH         S[28] = MEM2
  1.034  OPBR         [SREG28]
  1.034  OPBR
  1.034  OPBR         Do you wish to continue?
  1.035  JMPL         END                          MEM1 < 0
  1.036  MATH         M[89] = 1
  1.037  JMPL         END

  1.038  LABEL        OPERATION_COMPLETE
  1.039  MATH         S[28] = "No error"
  1.040  MATH         M[89] = 1

  1.041  LABEL        END
  1.042  MATH         MEM1 = M[85]
  1.043  MATH         MEM  = M[86]
  1.044  END
