﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       134
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Yok DL7100 Record Reading IEEE
#                  Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

#******************** OFFSET ACCURACY ********************

  1.001  RSLT         =
  1.002  RSLT         =OFFSET ACCURACY: Channel [M100]
  1.003  HEAD         OFFSET ACCURACY: Channel [M100]
  1.004  TARGET

#Initial UUT Configurations
  1.005  IEEE         :TIM:TDIV 5e-3
  1.006  IEEE         :ACQ:MODE BAV
  1.007  IEEE         :TRIG:TYPE SIMP;SIMP:SOUR LINE
  1.008  IEEE         :CLE
  1.009  IEEE         CHAN1:MODE [SREG1]
  1.010  IEEE         CHAN2:MODE [SREG2]
  1.011  IEEE         CHAN3:MODE [SREG3]
  1.012  IEEE         CHAN4:MODE [SREG4]
  1.013  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.014  IEEE         :CHAN[M100]:COUP DC;PROB 1
  1.015  IEEE         :MEAS:MODE ON;:MEAS:CHAN[M100]:AVER:STAT ON
  1.016  IEEE         :MEAS:TRAN -5,5
  1.017  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.018  JMPL         END            M[89] < 0

 #Set Up Reading Used
  1.019  MATH         S[5] = ":AVER:VAL?"

# Test the 5 mV/div Range @ +1V Offset
  1.020  RSLT         =+1V Offset @ 5 mV/div Range
  1.021  IEEE         :CHAN[M100]:VDIV 5E-3
  1.022  IEEE         :CHAN[M100]:OFFS 1;POS 0
  1.023  MATH         M[17] = 0.001
  1.024  9500         1.0000V                                           S
  1.025  CALL         Sub Yok DL7100 Record Reading IEEE
  1.026  JMPL         END            M[89] < 0
  1.027  MEMCX        1.0000V        0.01U

# Test the 5 mV/div Range @ -1V Offset
  2.001  RSLT         =-1V Offset @ 5 mV/div Range
  2.002  IEEE         :CHAN[M100]:VDIV 5E-3
  2.003  IEEE         :CHAN[M100]:OFFS -1;POS 0
  2.004  MATH         M[17] = 0.001
  2.005  9500         -1.0000V                                          S
  2.006  CALL         Sub Yok DL7100 Record Reading IEEE
  2.007  JMPL         END            M[89] < 0
  2.008  MEMCX        -1.0000V       0.01U

  3.001  LABEL        END
  3.002  9500         *                                                 S
  3.003  END
