﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Yok DL7100 (1 yr) Timebase VER IEEE /9500
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.1 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       123
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

#******************** TIMEBASE ACCURACY ********************

  1.001  RSLT         =
  1.002  RSLT         =TIMEBASE ACCURACY
  1.003  HEAD         TIMEBASE ACCURACY
  1.004  TARGET

#Initial UUT Configurations
  1.005  IEEE         :INIT:EXEC
  1.006  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.007  IEEE         :TIM:TDIV 2e-6
  1.008  IEEE         :ACQ:MODE NORM
  1.009  IEEE         :TRIG:TYPE SIMP;SIMP:SOUR 1;COUP DC;SLOP RISE
  1.010  IEEE         :ACQ:RLEN 10000
  1.011  IEEE         :CLE
  1.012  IEEE         CHAN1:MODE ON
  1.013  IEEE         CHAN2:MODE OFF
  1.014  IEEE         CHAN3:MODE OFF
  1.015  IEEE         CHAN4:MODE OFF
  1.016  IEEE         :CHAN1:COUP DC50;PROB 1
  1.017  IEEE         :CHAN1:OFFS 0;POS 0
  1.018  IEEE         :MEAS:MODE ON;:MEAS:CHAN1:FREQ:STAT ON
  1.019  IEEE         :MEAS:TRAN -5,5
  1.020  IEEE         :CHAN1:VDIV 50e-3
  1.021  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.022  JMPL         END            M[89] < 0

# Test the 2 µs/div Range @ 502 MHz
  1.023  RSLT         =2 µs/div Range
  1.024  M9500                       CH1
  1.025  9500         500.2MH                      300mVpp        LS    S  L
  1.026  IEEE         [D3000]
  1.027  IEEE         :MEAS:CHAN1:FREQ:VAL?[I]
  1.028  MATH         MEM = MEM * 1E-3
  1.029  MEMCX        200.00kH       25U

  2.001  LABEL        END
  2.002  9500         *                                                 S
  2.003  END
