﻿© 2002 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yok DL7100: (1 year) CAL VER IEEE /9500+Opt5
DATE:                  2002-08-23
AUTHOR:                Fluke
REVISION:              $Revision: 1.3 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       294
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
# Source:          Quality Inspection Standards : DL7100 Digital Oscilloscope
#                  Part Number: QIS701410
#                  Revision number: 1st Edition(1999.9)
#
# Source Author:   Yokogawa
#
# Compatibility:   MET/CAL 6.11A or later
#
# Subprocedures:   Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
#                  Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
#                  Sub Yok DL7100 (1 yr) Ext Trigger VER IEEE /9500+Opt5
#                  Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
#                  Sub Yok DL7100 (1 yr) Timebase VER IEEE /9500
#                  Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
#                  Sub Yok DL7100 Record Reading IEEE
#                  Sub Yok Trigger "OR" Channel Selection (4 Ch)
#                  Sub Yok Trigger Channel Pattern (4 Ch) (4 Ch)
#                  Sub Datron 9500 Channel Selection
#                  Sub UUT Channel Selection (4 Channel) SCPI
#                  Sub Wait for Operation Complete (OPC) IEEE SCPI
#
# Required Files:  none
#
# The Procedure was tested using:
#
#                  Model No       DL7100
#                  Serial No      12V918531J
#
# The average run time of this procedure is 15 minutes.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#
# THE COPYRIGHT IN THIS PROCEDURE IS OWNED BY FLUKE PRECISION MEASUREMENT
# LIMITED. THE TERMS AND CONDITIONS OF ITS USE ARE DESCRIBED IN THE
# LICENSE YOU ACCEPTED WHEN YOU INSTALLED THE METCAL SOFTWARE.
#
# Fluke makes no warranty, expressed or implied, as to the fitness
# or suitability of this procedure in the customer's application.
#
# System Specifications:
#   TUR calculation is based on specification interval of the accuracy file.
#   The default 9500A accuracy file contains 90 day specs.
#
# Overview:
#   This procedure is written to verify the operation of the Yok DL7100
#   Oscilloscope. This procedure performs a "closed-loop" verification
#   with a minimum of operater intervention.  The following documentation
#   lists the global registers used and subprocedures called.
#
# NUMERIC REGISTERS USED:
#
#   M[10]
#     This register is used in the status check subprocedure to
#     set watchdog timer in the event the oscillscope does not respond to a
#     status command.   THIS VARIABLE IS SOMETIMES USED IN THE MAIN PROCEDURE
#     as a Watchdog timer also.
#
#   M[11]
#     This register is used to store the value of MEM
#
#   M[12]
#     This register is used to store the value of MEM1
#
#   M[17]
#     This register is used to store the desired resolution of a measurement.
#     This value is then passed to the status check subprocedure for
#     calculations.
#
#   MEM2
#     This register is used to pass commands to the status check subprocedure.
#     This is used with the READING Flag.  The benefit of using this technique
#     is the ability to reduce the amout of dedicated programs.
#
#   M[100]
#     This register specifies which channel of the oscilloscope
#     is currently in use.
#       M[100] = 1 means Channel 1
#       M[100] = 2 means Channel 2
#       M[100] = 3 means Channel 3
#       M[100] = 4 means Channel 4
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON
  1.001  HEAD         Personnel Safety
  1.002  DISP         Dangerous voltages may be present during this process,
  1.002  DISP         [32]always check it is safe to do so before touching any
  1.002  DISP         [32]electrical connections.

  1.003  HEAD         Equipment Requirements
  1.004  DISP         This Procedure requires:
  1.004  DISP
  1.004  DISP         [32]One 50 Ohm BNC to BNC Cable

  1.005  HEAD         Operating Temperature
  1.006  DISP         Operate instruments in the following
  1.006  DISP         environmental conditions:
  1.006  DISP
  1.006  DISP         Ambient Temperature 23+/-2 C
  1.006  DISP         Humidity            55+/-10%RH

# Source reference point 1.2.3

  1.007  ASK-   R   Q N              P                            F        W

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.008  JMPL         CONTINUE
  1.009  M9500                       CH1
  1.010  9500         500MH                        1Vpp           LS    S
  1.011  M9500                       CH2
  1.012  9500         500MH                        1Vpp           LS    S
  1.013  M9500                       CH3
  1.014  9500         500MH                        1Vpp           LS    S
  1.015  M9500                       CH4
  1.016  9500         500MH                        1Vpp           LS    S
  1.017  M9500                       CH5
  1.018  9500         500MH                        1Vpp           LS    S

  1.019  LABEL        CONTINUE
# Set timeout for OPC to 50s.
  1.020  MATH         M[88] = 50000

  1.021  HEAD         PRELIMINARY INSTRUCTIONS
  1.022  DISP         Connect the UUT to IEEE-488 Port 1 and turn it on.
  1.022  DISP         Allow a 20 minute warm-up period before advancing...

  1.023  DISP         Press the UUT's MISC button.
  1.023  DISP         Select the "Communication" menu and
  1.023  DISP         select device to"GPIB".
  1.023  DISP
  1.023  DISP         If GPIB address is zero, use the rotary knob to select
  1.023  DISP         a non-zero address.

# Initialize UUT
  1.024  IEEE         *PSC 1;*SRE 0;*ESE 61;:STAT:EESE 0
  1.025  IEEE         :INIT:EXEC
  1.026  IEEE         :COMM:HEAD OFF
  1.027  IEEE         :DISP:TLAB ON;GRAT GRID;FORM SING;COL RGB
  1.028  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  1.029  JMPL         ERROR          M[89] < 0

# *************************** BEGIN SELF TEST ******************************

  1.030  RSLT         =
  1.031  HEAD         SELF-TEST
  1.032  TARGET

# Send commands to start the self-test
  1.033  IEEE         *CAL?[I]

# Self Test evaluation
  1.034  EVAL   -e FIND(MEM, "0", 1) : Self Test

# Reset instrument state in case of failure
  2.001  IEEE         *RST
  2.002  CALL         Sub Wait for Operation Complete (OPC) IEEE SCPI
  2.003  JMPL         ERROR          M[89] < 0

  2.004  HEAD         Lead Connections
  2.005  DISP         Connect the 9500 to the UUT as follows:
  2.005  DISP         [32] CH 1 Active Head to UUT CH 1 input.
  2.005  DISP         [32] CH 2 Active Head to UUT CH 2 input.
  2.005  DISP         [32] CH 3 Active Head to UUT CH 3 input.
  2.005  DISP         [32] CH 4 Active Head to UUT CH 4 input.

# ***************************** Channel 1 **********************************

  2.006  LABEL        CHANNEL_1
  2.007  MATH         M[100] = 1
  2.008  CALL         Sub Datron 9500 Channel Selection
  2.009  JMPL         ERROR          M[89] < 0
  2.010  CALL         Sub UUT Channel Selection (4 Channel) SCPI
  2.011  JMPL         ERROR          M[89] < 0

  2.012  CALL         Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
  2.013  JMPL         ERROR          M[89] < 0

  2.014  MATH         M[100] = 1
  2.015  CALL         Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
  2.016  JMPL         ERROR          M[89] < 0

  2.017  CALL         Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
  2.018  JMPL         ERROR          M[89] < 0

  2.019  CALL         Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
  2.020  JMPL         ERROR          M[89] < 0
  2.021  JMPL         CHANNEL_2

  2.022  EVAL   dummy

# ***************************** Channel 2 **********************************

  3.001  LABEL        CHANNEL_2
  3.002  MATH         M[100] = 2
  3.003  CALL         Sub Datron 9500 Channel Selection
  3.004  JMPL         ERROR          M[89] < 0
  3.005  CALL         Sub UUT Channel Selection (4 Channel) SCPI
  3.006  JMPL         ERROR          M[89] < 0

  3.007  CALL         Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
  3.008  JMPL         ERROR          M[89] < 0

  3.009  MATH         M[100] = 2
  3.010  CALL         Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
  3.011  JMPL         ERROR          M[89] < 0

  3.012  CALL         Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
  3.013  JMPL         ERROR          M[89] < 0

  3.014  CALL         Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
  3.015  JMPL         ERROR          M[89] < 0
  3.016  JMPL         CHANNEL_3

  3.017  EVAL   dummy

# ***************************** Channel 3 **********************************

  4.001  LABEL        CHANNEL_3
  4.002  MATH         M[100] = 3
  4.003  CALL         Sub Datron 9500 Channel Selection
  4.004  JMPL         ERROR          M[89] < 0
  4.005  CALL         Sub UUT Channel Selection (4 Channel) SCPI
  4.006  JMPL         ERROR          M[89] < 0

  4.007  CALL         Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
  4.008  JMPL         ERROR          M[89] < 0

  4.009  MATH         M[100] = 3
  4.010  CALL         Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
  4.011  JMPL         ERROR          M[89] < 0

  4.012  CALL         Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
  4.013  JMPL         ERROR          M[89] < 0

  4.014  CALL         Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
  4.015  JMPL         ERROR          M[89] < 0
  4.016  JMPL         CHANNEL_4

  4.017  EVAL   dummy

# ***************************** Channel 4 **********************************

  5.001  LABEL        CHANNEL_4
  5.002  MATH         M[100] = 4
  5.003  CALL         Sub Datron 9500 Channel Selection
  5.004  JMPL         ERROR          M[89] < 0
  5.005  CALL         Sub UUT Channel Selection (4 Channel) SCPI
  5.006  JMPL         ERROR          M[89] < 0

  5.007  CALL         Sub Yok DL7100 (1 yr) Vert Accuracy VER IEEE /9500
  5.008  JMPL         ERROR          M[89] < 0

  5.009  MATH         M[100] = 4
  5.010  CALL         Sub Yok DL7100 (1 yr) Offset Accuracy VER IEEE /9500
  5.011  JMPL         ERROR          M[89] < 0

  5.012  CALL         Sub Yok DL7100 (1 yr) Bandwidth VER IEEE /9500
  5.013  JMPL         ERROR          M[89] < 0

  5.014  CALL         Sub Yok DL7100 (1 yr) Trigger VER IEEE /9500
  5.015  JMPL         ERROR          M[89] < 0

#******************** EXT TRIGGER & TIMEBASE ************************

  5.016  CALL         Sub Yok DL7100 (1 yr) Timebase VER IEEE /9500
  5.017  JMPL         ERROR          M[89] < 0

  5.018  CALL         Sub Yok DL7100 (1 yr) Ext Trigger VER IEEE /9500+Opt5
  5.019  JMPL         ERROR          M[89] < 0
  5.020  JMPL         END

  5.021  LABEL        ERROR
  5.022  HEAD         ERROR
  5.023  DISP         [SREG28]

  5.024  LABEL        END
  5.025  END
